(* Guestfs Browser.
 * Copyright (C) 2010 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

(** Handle the command line arguments. *)

type cli_request =
  | Empty_window
  | Open_guest of string
  | Open_images of (string * string option) list
      (** The initial action requested by the user on the command line.

          [Empty_window] means nothing was requested on the command line.

          [Open_guest] means to open a guest (-d option).

          [Open_images] means to open a list of disk images (-a option). *)

val command_line : unit -> cli_request
  (** Read the command line and return {!cli_request}. *)
